Subject: bug#54158: 28.0.91; duplicate mail downloads in Gnus (IMAP)

From: Stefan Monnier <[email-masked]>
Date: Fri, 18 Mar 2022 11:27:32 -0400

> If something funny is happening with the values of fetchflag or
> dontexpunge, we can drag in Stefan M, who changed `mail-source-bind'.

FWIW, I just took a look at the macroexpanded form of
`mail-source-fetch-imap` and my "fishiness" detector didn't notice
anything out of the expected.

I don't understand the code enough to detect if there's something wrong,
but at least the new expanded code looks the way I wanted to make it
look (e.g. `dontexpunge` is indeed dynamically bound inside this
function).

        Stefan